4

MySQL upgrade - "malloc: ../bash/hashcmd.c:111: assertion botched"

view full story
linux-howto

http://www.linuxquestions.org – Hi folks, While upgrading a Debian system (from 5.0.3) with apt-get upgrade, I received the following error message related to MySQL: Code: Setting up mysql-common (5.0.51a-24+lenny2+spu1) ... (Reading database ... 30378 files and directories currently installed.) Preparing to replace mysql-server-5.0 5.0.51a-24+lenny2 (using .../mysql-server-5.0_5.0.51a-24+lenny2+spu1_i386.deb) ... malloc: ../bash/hashcmd.c:111: assertion botched malloc: block on free list clobbered Aborting... malloc: ../bash/hashcmd.c:111: assertion botched malloc: block on free list clobbered Aborting... malloc: ../bash/copy_cmd.c:341: assertion botched malloc: block on free list clobbered Aborting.../var/lib/dpkg/info/mysql-server-5.0.prerm: line 15: 20949 Aborted                invoke-rc.d mysql stop dpkg: warning - old pre-removal script returned error exit status 134 dpkg - trying script from the new package instead ... dpkg: error processing /var/cache/apt/archives/mysql-server-5.0_5.0.51a-24+lenny2+spu1_i386.deb (--unpack):  subprocess new pre-removal script killed by signal (Segmentation fault) Stopping MySQL database server: mysqld. Starting MySQL database server: mysqld. Checking for corrupt, not cleanly closed and upgrade needing tables.. Preparing to replace tzdata 2009l-0lenny1.1 (using .../tzdata_2010a-0lenny1_all.deb) ... Unpacking replacement tzdata ... Errors were encountered while processing:  /var/cache/apt/archives/mysql-server-5.0_5.0.51a-24+lenny2+spu1_i386.deb E: Sub-process /usr/bin/dpkg returned an error code (1) Do someone know what does it mean and how could it be fixed? Thanks a lot! (HowTos)